/*
 * @Author: wrh
 * @Date: 2024-03-05 17:26:42
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-03-06 13:43:59
 */
import request from '@/utils/request'

// 查询cmc用车审批列表
export function listCarApproval(query) {
  return request({
    url: '/oa/carApproval/list',
    method: 'get',
    params: query
  })
}

// 查询cmc用车审批详细
export function getCarApproval(carApplyId) {
  return request({
    url: '/oa/carApproval/' + carApplyId,
    method: 'get'
  })
}

// 新增cmc用车审批
export function addCarApproval(data) {
  return request({
    url: '/oa/carApproval',
    method: 'post',
    data: data
  })
}

// 修改cmc用车审批
export function updateCarApproval(data) {
  return request({
    url: '/oa/carApproval',
    method: 'put',
    data: data
  })
}

// 修改cmc用车审批
export function modifyCarApproval(data) {
  return request({
    url: '/oa/carApproval/modify',
    method: 'put',
    data: data
  })
}

// 删除cmc用车审批
export function delCarApproval(carApplyId) {
  return request({
    url: '/oa/carApproval/' + carApplyId,
    method: 'delete'
  })
}
